<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="html" indent="yes"/>
  <xsl:template match="questions">
    <h2>
      <u>Family Feud Cheat Sheet</u>
    </h2>
    <br/>
    <xsl:for-each select="question">
      <u>
        Question #<xsl:value-of select="position()"/>
      </u> - <xsl:value-of select="@text"/>
      <br/>
      <table border="1">
        <tr>
          <th>#</th>
          <th>Answer</th>
          <th>Points</th>
        </tr>
        <xsl:for-each select="answer">
          <tr>
            <td>
              <xsl:value-of select="position()"/>
            </td>
            <td>
              <xsl:value-of select="@text"/>
            </td>
            <td>
              <xsl:value-of select="@points"/>
            </td>
          </tr>
        </xsl:for-each>
      </table>
      <br/>
    </xsl:for-each>
  </xsl:template>
</xsl:stylesheet>
